﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Syncfusion.JavaScript.DataVisualization.Models;

namespace WebApplication2
{
    public partial class _Default : Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
        
        }

        [Serializable]
        public class Data
        {
          
            public int Xvalue
            {
                get;
                set;
            }
            public int YValue1
            {
                get;
                set;
            }
            public Data(int xval, int yvalue1)
            {
                this.Xvalue = xval;
                this.YValue1 = yvalue1;
            }
        }
        
        protected void Button1_Click(object sender, EventArgs e)
        {
            //Create Chart series
            Series series1 = new Series();
            series1.Type = Syncfusion.JavaScript.DataVisualization.SeriesType.Column;

            //Add Chart data
            List<Data> data1 = new List<Data>();

            Random yValue = new Random();

            for (int i = 0; i < 10; i++)
            {
                data1.Add(new Data(i, yValue.Next(10, 50)));
            }

            //DataSource Bind to the Series
            this.Chart1.Series.Add(series1);

            //Bind DataSource for Series 1
            this.Chart1.Series[0].DataSource = data1;
            this.Chart1.Series[0].XName = "Xvalue";
            this.Chart1.Series[0].YName = "YValue1";
            this.Chart1.DataBind();
           
        }
    }
}